Package com.complexible.common.hppc

# Class CarrotUtil

java.lang.Object
com.complexible.common.hppc.CarrotUtil

public final class CarrotUtil extends Object

Collection of utility methods for working with the Carrot Labs HPPC API

Since:
  0.4.8
Version:
  4.1
Author:
  Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final com.carrotsearch.hppc.LongSet`
  `EMPTY_LONG_SET`
  `static final long`
  `LONG_LONG_NO_ENTRY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addAll(com.carrotsearch.hppc.IntSet theContainer, com.carrotsearch.hppc.IntContainer theIntsToAdd)`
  `static void`
  `addAll(com.carrotsearch.hppc.LongSet theSet, com.carrotsearch.hppc.LongSet toAdd)`
  `static com.carrotsearch.hppc.procedures.LongIntProcedure`
  `addAllProcedure(com.carrotsearch.hppc.LongIntHashMap toMap)`
  `static com.carrotsearch.hppc.IntIntMap`
  `copy(com.carrotsearch.hppc.IntIntMap theMap)`
  `static com.carrotsearch.hppc.IntIntMap[]`
  `copy(com.carrotsearch.hppc.IntIntMap[] theMap)`
  `static com.carrotsearch.hppc.LongSet`
  `immutable(com.carrotsearch.hppc.LongSet theSet)`
  `static com.carrotsearch.hppc.IntSet`
  `intSet()`
  `static <T> Iterable<T>`
  `iterable(com.carrotsearch.hppc.ObjectContainer<T> theContainer)`
  `static <T> Iterator<T>`
  `iterator(Iterator<com.carrotsearch.hppc.cursors.ObjectCursor<T>> theIterator)`
  `static int`
  `max(com.carrotsearch.hppc.IntContainer theContainer)`
  `static com.carrotsearch.hppc.IntIntHashMap`
  `newIntIntOpenHashMap(int... theKeyOrValue)`
  `static <T> com.carrotsearch.hppc.IntObjectMap<T>`
  `newIntObjectMap()`
  `static <T> com.carrotsearch.hppc.IntObjectMap<T>`
  `newIntObjectMap(int theKey, T theValue)`
  `static com.carrotsearch.hppc.LongIntHashMap`
  `newLongIntOpenHashMap(long... theKeyOrValue)`
  `static com.carrotsearch.hppc.LongLongHashMap`
  `newLongLongOpenHashMap(long... theKeyOrValue)`
  `static <T> com.carrotsearch.hppc.LongObjectMap<T>`
  `newLongObjectMap()`
  `static <T> com.carrotsearch.hppc.ObjectLongMap<T>`
  `newObjectLongMap()`
  `static void`
  `putAll(com.carrotsearch.hppc.IntIntMap theMap, com.carrotsearch.hppc.IntIntMap theOtherMap)`
  `static <T> void`
  `putAll(com.carrotsearch.hppc.IntObjectMap<T> theMap, com.carrotsearch.hppc.IntObjectMap<T> theOtherMap)`
  `static com.carrotsearch.hppc.LongSet`
  `singleton(long theLong)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LONG_LONG_NO_ENTRY

    public static final long LONG_LONG_NO_ENTRY
    See Also:
      - Constant Field Values

  - ### EMPTY_LONG_SET

    public static final com.carrotsearch.hppc.LongSet EMPTY_LONG_SET

- ## Method Details

  - ### iterator

    public static <T> Iterator<T> iterator(Iterator<com.carrotsearch.hppc.cursors.ObjectCursor<T>> theIterator)

  - ### iterable

    public static <T> Iterable<T> iterable(com.carrotsearch.hppc.ObjectContainer<T> theContainer)

  - ### intSet

    public static com.carrotsearch.hppc.IntSet intSet()

  - ### addAll

    public static void addAll(com.carrotsearch.hppc.IntSet theContainer, com.carrotsearch.hppc.IntContainer theIntsToAdd)

  - ### putAll

    public static <T> void putAll(com.carrotsearch.hppc.IntObjectMap<T> theMap, com.carrotsearch.hppc.IntObjectMap<T> theOtherMap)

  - ### putAll

    public static void putAll(com.carrotsearch.hppc.IntIntMap theMap, com.carrotsearch.hppc.IntIntMap theOtherMap)

  - ### max

    public static int max(com.carrotsearch.hppc.IntContainer theContainer)

  - ### copy

    public static com.carrotsearch.hppc.IntIntMap copy(com.carrotsearch.hppc.IntIntMap theMap)

  - ### copy

    public static com.carrotsearch.hppc.IntIntMap[] copy(com.carrotsearch.hppc.IntIntMap[] theMap)

  - ### newIntIntOpenHashMap

    public static com.carrotsearch.hppc.IntIntHashMap newIntIntOpenHashMap(int... theKeyOrValue)

  - ### newLongLongOpenHashMap

    public static com.carrotsearch.hppc.LongLongHashMap newLongLongOpenHashMap(long... theKeyOrValue)

  - ### newLongIntOpenHashMap

    public static com.carrotsearch.hppc.LongIntHashMap newLongIntOpenHashMap(long... theKeyOrValue)

  - ### newIntObjectMap

    public static <T> com.carrotsearch.hppc.IntObjectMap<T> newIntObjectMap(int theKey, T theValue)

  - ### addAllProcedure

    public static com.carrotsearch.hppc.procedures.LongIntProcedure addAllProcedure(com.carrotsearch.hppc.LongIntHashMap toMap)

  - ### newIntObjectMap

    public static <T> com.carrotsearch.hppc.IntObjectMap<T> newIntObjectMap()

  - ### newLongObjectMap

    public static <T> com.carrotsearch.hppc.LongObjectMap<T> newLongObjectMap()

  - ### newObjectLongMap

    public static <T> com.carrotsearch.hppc.ObjectLongMap<T> newObjectLongMap()

  - ### addAll

    public static void addAll(com.carrotsearch.hppc.LongSet theSet, com.carrotsearch.hppc.LongSet toAdd)

  - ### singleton

    public static com.carrotsearch.hppc.LongSet singleton(long theLong)

  - ### immutable

    public static com.carrotsearch.hppc.LongSet immutable(com.carrotsearch.hppc.LongSet theSet)